<p align="center">
  <img src="https://cdn.rawgit.com/ElemeFE/upa/dev/upa_logo.svg">
</p>

<p align="center">
  <a href="https://travis-ci.org/ElemeFE/upa">
    <img src="https://travis-ci.org/ElemeFE/upa.svg?branch=master">
  </a>
  <a href="https://coveralls.io/github/ElemeFE/upa?branch=master">
    <img src="https://coveralls.io/repos/github/ElemeFE/upa/badge.svg?branch=master">
  </a>
  <a href="https://cdnjs.com/libraries/upa-ui">
    <img src="https://img.shields.io/cdnjs/v/upa-ui.svg">
  </a>
  <a href="https://www.npmjs.org/package/upa-ui">
    <img src="https://img.shields.io/npm/v/upa-ui.svg">
  </a>
  <a href="https://npmcharts.com/compare/upa-ui?minimal=true">
    <img src="http://img.shields.io/npm/dm/upa-ui.svg">
  </a>
  <br>
  <a href="http://img.badgesize.io/https://unpkg.com/upa-ui/lib/index.js?compression=gzip&label=gzip%20size:%20JS">
    <img src="http://img.badgesize.io/https://unpkg.com/upa-ui/lib/index.js?compression=gzip&label=gzip%20size:%20JS">
  </a>
  <a href="http://img.badgesize.io/https://unpkg.com/upa-ui/lib/theme-chalk/index.css?compression=gzip&label=gzip%20size:%20CSS">
    <img src="http://img.badgesize.io/https://unpkg.com/upa-ui/lib/theme-chalk/index.css?compression=gzip&label=gzip%20size:%20CSS">
  </a>
  <a href="#backers">
    <img src="https://opencollective.com/upa/backers/badge.svg">
  </a>
  <a href="#sponsors">
    <img src="https://opencollective.com/upa/sponsors/badge.svg">
  </a>
  <a href="LICENSE">
    <img src="https://img.shields.io/badge/License-MIT-yellow.svg">
  </a>
</p>

<p align="center">
  <b>Special thanks to the generous sponsorship by:</b>
</p>
<table>
  <tbody>
    <tr>
      <td align="center" valign="middle">
        <a href="https://tipe.io/?ref=upa" target="_blank">
          <img width="150px" src="https://user-images.githubusercontent.com/1016365/34124854-48fafa06-e3e9-11e7-8c04-251055feebee.png">
        </a>
      </td>
      <td align="center" valign="middle">
        <a href="https://www.duohui.cn/?utm_source=upa&utm_medium=web&utm_campaign=upa-index" target="_blank">
          <img width="150px" src="https://user-images.githubusercontent.com/10095631/35603534-bb24470c-0678-11e8-8bcc-17ceaef8cbef.png">
        </a>
      </td>
      <td align="center" valign="middle">
        <a href="https://bitsrc.io/" target="_blank">
          <img width="150px" src="https://user-images.githubusercontent.com/10095631/41342907-e44e7196-6f2f-11e8-92f2-47702dc8f059.png">
        </a>
      </td>
    </tr>
  </tbody>
</table>

> A Vue.js 2.0 UI Toolkit for Web.

## Links
- Homepage and documentation
  - [International users](http://upa.eleme.io/#/en-US)
  - [Chinese users](http://upa-cn.eleme.io/#/zh-CN)
  - [Spanish users](http://upa.eleme.io/#/es)
  - [French users](http://upa.eleme.io/#/fr-FR)
- [awesome-upa](https://github.com/UpaUI/awesome-upa)
- [FAQ](./FAQ.md)
- [Customize theme](http://upa.eleme.io/#/en-US/component/custom-theme)
- [Preview and generate theme online](https://upaui.github.io/theme-chalk-preview)
- [Upa for React](https://github.com/elemefe/upa-react)
- [Upa for Angular](https://github.com/ElemeFE/upa-angular)
- [Atom helper](https://github.com/ElemeFE/upa-helper)
- [Visual Studio Code helper](https://github.com/ElemeFE/vscode-upa-helper)
- Starter kit
  - [upa-starter](https://github.com/UpaUI/upa-starter)
  - [upa-in-laravel-starter](https://github.com/UpaUI/upa-in-laravel-starter)
- [Design resources](https://github.com/UpaUI/Resources)
- Gitter
  - [International users](https://gitter.im/upa-en/Lobby)
  - [Chinese users](https://gitter.im/ElemeFE/upa)

## Install
```shell
npm install upa-ui -S
```

## Quick Start
``` javascript
import Vue from 'vue'
import Upa from 'upa-ui'

Vue.use(Upa)

// or
import {
  Select,
  Button
  // ...
} from 'upa-ui'

Vue.component(Select.name, Select)
Vue.component(Button.name, Button)
```
For more information, please refer to [Quick Start](http://upa.eleme.io/#/en-US/component/quickstart) in our documentation.

## Browser Support
Modern browsers and Internet Explorer 10+.

## Development
Skip this part if you just want to use Upa.

For those who are interested in contributing to Upa, please refer to our contributing guide ([中文](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.zh-CN.md) | [English](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.en-US.md) | [Español](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.es.md) | [Français](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.fr-FR.md)) to see how to run this project.

## Changelog
Detailed changes for each release are documented in the [release notes](https://github.com/ElemeFE/upa/releases).

## FAQ
We have collected some [frequently asked questions](https://github.com/ElemeFE/upa/blob/master/FAQ.md). Before reporting an issue, please search if the FAQ has the answer to your problem.

## Contribution
Please make sure to read the contributing guide ([中文](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.zh-CN.md) | [English](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.en-US.md) | [Español](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.es.md) | [Français](https://github.com/ElemeFE/upa/blob/master/.github/CONTRIBUTING.fr-FR.md)) before making a pull request.

[![Let's fund issues in this repository](https://issuehunt.io/static/embed/issuehunt-button-v1.svg)](https://issuehunt.io/repos/67274736)

## Special Thanks
English documentation is brought to you by SwiftGG Translation Team:
- [raychenfj](https://github.com/raychenfj)
- [kevin](http://thekevin.cn/)
- [曾小涛](https://github.com/zengxiaotao)
- [湾仔王二](https://github.com/wanzaiwanger)
- [BlooDLine](http://www.ibloodline.com/)
- [陈铭嘉](https://chenmingjia.github.io/)
- [千叶知风](http://mpc6.com/)
- [梁杰](http://numbbbbb.com)
- [Changing](https://github.com/sunzhuo11)
- [mmoaay](https://github.com/mmoaay)

Spanish documentation is made possible by these community developers:
- [adavie1](https://github.com/adavie1)
- [carmencitaqiu](https://github.com/carmencitaqiu)
- [coderdiaz](https://github.com/coderdiaz)
- [fedegar33](https://github.com/fedegar33)
- [Gonzalo2310](https://github.com/Gonzalo2310)
- [lesterbx](https://github.com/lesterbx)
- [ProgramerGuy](https://github.com/ProgramerGuy)
- [SantiagoGdaR](https://github.com/SantiagoGdaR)
- [sigfriedCub1990](https://github.com/sigfriedCub1990)
- [thechosenjuan](https://github.com/thechosenjuan)

French documentation is made possible by these community developers:
- [smalesys](https://github.com/smalesys)
- [blombard](https://github.com/blombard)

## Donation
If you find Upa useful, you can buy us a cup of coffee

<img width="650" src="https://user-images.githubusercontent.com/14025786/44833997-5d7c4d80-ac62-11e8-8445-1dffec0eb13c.png" alt="donation">

## Backers

Support us with a monthly donation and help us continue our activities. [[Become a backer](https://opencollective.com/upa#backer)]

<a href="https://opencollective.com/upa/backer/0/website" target="_blank"><img src="https://opencollective.com/upa/backer/0/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/1/website" target="_blank"><img src="https://opencollective.com/upa/backer/1/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/2/website" target="_blank"><img src="https://opencollective.com/upa/backer/2/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/3/website" target="_blank"><img src="https://opencollective.com/upa/backer/3/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/4/website" target="_blank"><img src="https://opencollective.com/upa/backer/4/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/5/website" target="_blank"><img src="https://opencollective.com/upa/backer/5/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/6/website" target="_blank"><img src="https://opencollective.com/upa/backer/6/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/7/website" target="_blank"><img src="https://opencollective.com/upa/backer/7/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/8/website" target="_blank"><img src="https://opencollective.com/upa/backer/8/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/9/website" target="_blank"><img src="https://opencollective.com/upa/backer/9/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/10/website" target="_blank"><img src="https://opencollective.com/upa/backer/10/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/11/website" target="_blank"><img src="https://opencollective.com/upa/backer/11/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/12/website" target="_blank"><img src="https://opencollective.com/upa/backer/12/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/13/website" target="_blank"><img src="https://opencollective.com/upa/backer/13/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/14/website" target="_blank"><img src="https://opencollective.com/upa/backer/14/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/15/website" target="_blank"><img src="https://opencollective.com/upa/backer/15/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/16/website" target="_blank"><img src="https://opencollective.com/upa/backer/16/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/17/website" target="_blank"><img src="https://opencollective.com/upa/backer/17/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/18/website" target="_blank"><img src="https://opencollective.com/upa/backer/18/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/19/website" target="_blank"><img src="https://opencollective.com/upa/backer/19/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/20/website" target="_blank"><img src="https://opencollective.com/upa/backer/20/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/21/website" target="_blank"><img src="https://opencollective.com/upa/backer/21/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/22/website" target="_blank"><img src="https://opencollective.com/upa/backer/22/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/23/website" target="_blank"><img src="https://opencollective.com/upa/backer/23/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/24/website" target="_blank"><img src="https://opencollective.com/upa/backer/24/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/25/website" target="_blank"><img src="https://opencollective.com/upa/backer/25/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/26/website" target="_blank"><img src="https://opencollective.com/upa/backer/26/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/27/website" target="_blank"><img src="https://opencollective.com/upa/backer/27/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/28/website" target="_blank"><img src="https://opencollective.com/upa/backer/28/avatar.svg"></a>
<a href="https://opencollective.com/upa/backer/29/website" target="_blank"><img src="https://opencollective.com/upa/backer/29/avatar.svg"></a>


## Sponsors

Become a sponsor and get your logo on our README on Github with a link to your site. [[Become a sponsor](https://opencollective.com/upa#sponsor)]

<a href="https://opencollective.com/upa/sponsor/0/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/1/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/2/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/3/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/4/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/5/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/6/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/7/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/8/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/9/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/9/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/10/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/10/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/11/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/11/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/12/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/12/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/13/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/13/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/14/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/14/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/15/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/15/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/16/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/16/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/17/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/17/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/18/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/18/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/19/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/19/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/20/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/20/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/21/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/21/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/22/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/22/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/23/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/23/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/24/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/24/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/25/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/25/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/26/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/26/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/27/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/27/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/28/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/28/avatar.svg"></a>
<a href="https://opencollective.com/upa/sponsor/29/website" target="_blank"><img src="https://opencollective.com/upa/sponsor/29/avatar.svg"></a>

## Join Discussion Group

Scan the QR code using [Dingtalk App](https://www.dingtalk.com/) to join in discussion group :

<img alt="Join Discusion Group" src="https://user-images.githubusercontent.com/17680888/66537329-9a4b9100-eb52-11e9-9d99-65469cfdae58.jpeg" width="300">


## LICENSE
[MIT](LICENSE)
