import ResizeObserver from 'resize-observer-polyfill';

const isServer = typeof window === 'undefined';

/* istanbul ignore next */
const resizeHandler = function(entries) {
  for (let entry of entries) {
    const listeners = entry.target.__resizeListeners__ || [];
    if (listeners.length) {
      listeners.forEach(fn => {
        fn();
      });
    }
  }
};

/* istanbul ignore next */
export const addResizeListener = function(upa, fn) {
  if (isServer) return;
  if (!upa.__resizeListeners__) {
    upa.__resizeListeners__ = [];
    upa.__ro__ = new ResizeObserver(resizeHandler);
    upa.__ro__.observe(upa);
  }
  upa.__resizeListeners__.push(fn);
};

/* istanbul ignore next */
export const removeResizeListener = function(upa, fn) {
  if (!upa || !upa.__resizeListeners__) return;
  upa.__resizeListeners__.splice(upa.__resizeListeners__.indexOf(fn), 1);
  if (!upa.__resizeListeners__.length) {
    upa.__ro__.disconnect();
  }
};
